Page MenuHomePhabricator

Check and potentially timebox limn-language-data reports {frog} [8 pts]
Closed, ResolvedPublic

Description

http://language-reportcard.wmflabs.org/
In the context of EventLogging audit, we should make sure that this project's queries do not use data that will be auto-purged.
Optionally, fix any problems with the dashboard and migrate to reportupdater if necessary.

Event Timeline

mforns created this task.Jul 30 2015, 9:37 PM
mforns raised the priority of this task from to Needs Triage.
mforns updated the task description. (Show Details)
mforns added a project: Analytics-Backlog.
mforns added a subscriber: mforns.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 30 2015, 9:37 PM
Milimetric renamed this task from Check and potentially timebox limn-language-data reports {Tick} to Check and potentially timebox limn-language-data reports {tick}.Aug 7 2015, 4:36 PM
Milimetric set Security to None.
kevinator triaged this task as High priority.Aug 10 2015, 4:53 PM
Milimetric renamed this task from Check and potentially timebox limn-language-data reports {tick} to Check and potentially timebox limn-language-data reports {tick} [5 pts].Aug 10 2015, 4:59 PM
mforns claimed this task.Aug 17 2015, 9:23 PM
mforns edited projects, added Analytics-Kanban; removed Analytics-Backlog.
mforns moved this task from Next Up to In Progress on the Analytics-Kanban board.
mforns moved this task from In Progress to Paused on the Analytics-Kanban board.Aug 18 2015, 3:59 PM
mforns moved this task from Paused to In Progress on the Analytics-Kanban board.Aug 18 2015, 9:42 PM

Change 232645 had a related patch set uploaded (by Mforns):
Refactor queries into reportupdater and dashiki

https://gerrit.wikimedia.org/r/232645

mforns renamed this task from Check and potentially timebox limn-language-data reports {tick} [5 pts] to Check and potentially timebox limn-language-data reports {frog} [8 pts].Aug 20 2015, 3:44 PM

Change 232645 merged by Milimetric:
Refactor queries into reportupdater and dashiki

https://gerrit.wikimedia.org/r/232645

mforns moved this task from In Progress to Next Up on the Analytics-Kanban board.Aug 21 2015, 6:03 PM
mforns moved this task from Next Up to Paused on the Analytics-Kanban board.
mforns moved this task from Paused to In Progress on the Analytics-Kanban board.Aug 27 2015, 3:20 PM

Change 234739 had a related patch set uploaded (by Mforns):
Change column names in reports

https://gerrit.wikimedia.org/r/234739

Before we deploy this last changeset, we should execute this script: http://pastebin.com/0mukQFQV, to change the column names in the reports in stat1003. Otherwise reportupdater will fail, because of header incompatibility.

Change 234797 had a related patch set uploaded (by Mforns):
Reorder getData params from datasets api

https://gerrit.wikimedia.org/r/234797

Change 234797 merged by Milimetric:
Reorder getData params from datasets api

https://gerrit.wikimedia.org/r/234797

Change 234739 merged by Mforns:
Change column names in reports

https://gerrit.wikimedia.org/r/234739

mforns moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Sep 2 2015, 2:55 PM
kevinator closed this task as Resolved.Sep 8 2015, 10:54 PM
kevinator added a subscriber: kevinator.